#include <iostream>
using namespace std;
 
   int main()
   {
    int p, q, r;
    unsigned long long int min, max, q1, p1, r1, k;
    k=0;
    cin>>p>>q>>r>>min>>max;
    while(min<=max){
    if(min%p!=0){
        p1=min/p+1;
    }else{
        p1=min/p;
    }
    if(min%q!=0){
        q1=min/q+1;
    }else{
        q1=min/q;
    }
    if(min%r!=0){
        r1=min/r+1;
    }else{
        r1=min/r;
    }
    if(min>=p1+q1+r1){
        k++;
    }
        min++;
    }
    cout<<k;
    return 0;
   }